### Function

# Camel string_is_all_ascii

since: 3.44

#### Declaration [src]

    gboolean
    camel_string_is_all_ascii (
      const gchar* str
    )

#### Description

No description available.

Available since: 3.44

#### Parameters

`str`

  Type: `const gchar*`

  A string to check, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE`, when the `str` is `NULL`, an empty string or when it contains only ASCII letters.